# fly.toml app configuration file generated for wish on 2023-11-25T19:34:01Z
#
# See https://fly.io/docs/reference/configuration/ for information about how to use this file.
#

app = "wish"
primary_region = "lhr"
kill_signal = "SIGTERM"
swap_size_mb = 512

[build]

[env]
  PHX_HOST = "wish.danielpatterson.dev"
  PORT = "8080"
  DATABASE_PATH = "/mnt/sqlite_data/wish.db"

[mounts]
  source = "sqlite_data"
  destination = "/mnt/sqlite_data/"

[http_service]
  internal_port = 8080
  force_https = true
  auto_stop_machines = true
  auto_start_machines = true
  min_machines_running = 1
  processes = ["app"]
  [http_service.concurrency]
    type = "connections"
    hard_limit = 1000
    soft_limit = 1000
